package com.example.tdl.mqtt;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "tdl.mqtt")
public class MqttConfig {

    private String url;
    private String port;
    private String username;
    private String password;
    private String qos;
    private String clientPubId;
    private String clientSubId;
    private String clientSubTopic;
    private Boolean useCredential;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getQos() {
        return qos;
    }

    public void setQos(String qos) {
        this.qos = qos;
    }

    public String getClientPubId() {
        return clientPubId;
    }

    public void setClientPubId(String clientPubId) {
        this.clientPubId = clientPubId;
    }

    public String getClientSubId() {
        return clientSubId;
    }

    public void setClientSubId(String clientSubId) {
        this.clientSubId = clientSubId;
    }

    public String getClientSubTopic() {
        return clientSubTopic;
    }

    public void setClientSubTopic(String clientSubTopic) {
        this.clientSubTopic = clientSubTopic;
    }

    public Boolean getUseCredential() {
        return useCredential;
    }

    public void setUseCredential(Boolean useCredential) {
        this.useCredential = useCredential;
    }

  /*  @Bean
    public MqttTemplate mqttTemplate() throws MqttException {
        MqttTemplate mqttTemplate =null;
        try {
            mqttTemplate = new MqttTemplate(this.url+":"+this.port,"witiumcloud");
            mqttTemplate.connect(MqttTemplate.setOptions(this.username,this.password));
            System.out.println("Mqtt connected with mqtt broker at url : 120.27.235.39:1883");
        }catch (MqttException e)
        {
            e.printStackTrace();
        }
        return mqttTemplate;
    }*/

}
