package com.example.tdl.service;


import com.example.tdl.domain.vo.ResultRouteVo;
import com.example.tdl.domain.vo.RouteTermVo;
import com.example.tdl.domain.vo.UpdateRouteVo;
import com.example.tdl.entity.Route;
import com.example.tdl.mapper.RoleMapper;
import com.example.tdl.mapper.RouteMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class RouteService {
    @Autowired
    private RouteMapper routeMapper;

    public List<ResultRouteVo> getAll(){
        return routeMapper.getAll();
    }

    public List<ResultRouteVo> getRouteByTerm(RouteTermVo routeTermVo){
        return routeMapper.getRouteByTerm(routeTermVo);
    }

    public int addRoute(Route route){
        return routeMapper.addRoute(route);
    }

    public int updateRoute(Route route){
        return routeMapper.updateRoute(route);
    }

    public int delRoute(String routeNumber){
        return routeMapper.delRoute(routeNumber);
    }

    public int getByRouteNumber(String routeNumber){
        return routeMapper.getByRouteNumber(routeNumber);
    }
}
